org.apache.lucene.queryparser.flexible.standard.builders

## Class DummyQueryNodeBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.builders.DummyQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class DummyQueryNodeBuilder
    extends Object
    implements StandardQueryBuilder

This builder does nothing. Commonly used for `QueryNode` objects that are built by its parent's builder.

See Also:
  `StandardQueryBuilder`, `QueryTreeBuilder`

### Constructor Summary

Constructors
Constructor and Description
`DummyQueryNodeBuilder()` Constructs a `DummyQueryNodeBuilder` object.

### Method Summary

All Methods Instance Methods Concrete Methods
`TermQuery` `build(QueryNode queryNode)` Always return `null`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DummyQueryNodeBuilder

    public DummyQueryNodeBuilder()

Constructs a `DummyQueryNodeBuilder` object.

### Method Detail

#### build

    public TermQuery build(QueryNode queryNode)
                    throws QueryNodeException

Always return `null`. return `null`

Specified by:
  `build` in interface `QueryBuilder`
Specified by:
  `build` in interface `StandardQueryBuilder`
Parameters:
  `queryNode` - the query tree root node
Returns:
  some object generated from the query tree
Throws:
  `QueryNodeException`